> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a customer session

> This endpoint creates a new customer session for portal access. After calling this endpoint, a token is returned which can be used for subsequent portal API requests. The session provides secure access to customer-specific features.



## OpenAPI

````yaml /api-reference/blink-api.json post /v1/portal/sessions
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security:
  - storeIdHeader: []
tags:
  - name: Invoices
    description: Unified merchant of record invoices for products and subscriptions.
  - name: Geo Pricing
    description: Resolve Purchasing Power Parity (PPP) localized pricing.
paths:
  /v1/portal/sessions:
    post:
      tags:
        - Portal
      summary: Create a customer session
      description: >-
        This endpoint creates a new customer session for portal access. After
        calling this endpoint, a token is returned which can be used for
        subsequent portal API requests. The session provides secure access to
        customer-specific features.
      responses:
        '200':
          description: Customer session created successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    storeIdHeader:
      type: apiKey
      in: header
      name: x-store-id

````